#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

#declare SCHNITT_1 = 1;	// Quadrant -/*/-
#declare HUELLE = 1;

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
	radiosity {
	    distance_maximum 10000
	}
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <-200, 200, -200>
    color White
}

/*
 * von schräg oben 

#local CP = <-250, 250, -200>;
camera {
        location CP
        look_at <-0, 55, -0>
	angle 25
}
 */

/*
 * untere decks

#local CP = <-150, 0, -100>;
camera {
        location CP
        look_at <-0, 20, -0>
	angle 25
}
 */
/*
 * von unten
 */

#local CP = <-250, 2, -200>;
camera {
        location CP
        look_at <-0, 55, -0>
	angle 25
}

light_source {
    CP
    color White*0.5
}

#include "schneller_kreuzer.pov"

    object {
	schneller_kreuzer
	translate <0, 55, 0>
    }


cylinder {
    <0, 0, 0>,
    <0, -1, 0>, 1000
    pigment {
	radial
	color_map{
	    [0.1 rgb 0.1 ]
	    [0.1 White]
	}
	frequency 16
    }
}

cone {
    <0, 0, 0>, 0
    <1000, 0, 0>, 10
    pigment { color <1, 0, 0> }
}

// cone {
//     <0, 0, 0>, 0
//     <0, 1000, 0>, 10
//     pigment { color <0, 1, 0> }
// }

cone {
    <0, 0, 0>, 0
    <0, 0, 1000>, 10
    pigment { color <0, 0, 1> }
}
