#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0, 0, 0>
	radiosity {}
}

light_source {
    <2000, 2000, 2000>
    color White
}

light_source {
    <-2000, 2000, -2000>
    color rgb <0.8, 0.8, 1>
}

camera {
        location <0.6, 0, -2>
        look_at <.60, 0, 0>
	angle 20
}


#include "thermostrahler.pov"

object {
    thermostrahler
}


#if (1)
background { color rgb<0.2, 0.4, 0.8>  }
plane {
    <0, 1, 0>, 0
    pigment {
	checker color White*0.7, color White*0.5
    }
    translate <0.5, -0.5, 0.5>
}
plane {
    <0, 0, -2>, 0
    pigment {
	checker color White*0.7, color White*0.5
    }
    translate <0.5, -0.5, 0.5>
}
#end
