#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

#declare SCHNITT_1 = 1;	// Quadrant -/*/-

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <-20000, 20000, -20000>
    color White
}

#local CP = <-2500, 2000, -1500>;
light_source {
    CP
    color White*0.5
}
camera {
        location CP
        look_at <-0, 60, -0>
	angle 32
}

#include "sporenschiff.pov"

    object {
	sporenschiff
    }



