#include "colors.inc"
#include "feldschirm_projektor_v.pov"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <200, 200, -00>
    color White
}
light_source {
    <200, 120, -171>
    color White*0.5
}
camera {
	orthographic
        location <12.5, -37.5, -30>
        look_at <12.5, -37.5, 0>
	angle 40
}

	object {
	    feldschirm_projektor_v
	}

cylinder {
    <0, -39.8, 0>,
    <0, -40.2, 0>, 15
    pigment {
	radial
	color_map{
	    [0.1 rgb 0.1 ]
	    [0.1 White]
	}
	frequency 16
    }
}

cylinder {
    <0, -35, 0>,
    <15, -35, 0>, 0.2
    color Red*0.5
}
