#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "stones.inc"

#declare C_OffWhite =
    color red 1 green 1 blue 0.8 ;

light_source { <16.5, 14, 16.5> colour C_OffWhite * 0.6 }
light_source { <-16.5, 14, 16.5> colour C_OffWhite * 0.6 }
light_source { <16.5, 14, -16.5> colour C_OffWhite * 0.6 }
light_source { <-16.5, 14, -16.5> colour C_OffWhite * 0.6 }
light_source { <-23.5, 9.6, 0> colour White }

camera {
        location <-13, 10, -13>
        look_at <-8.0,  5.4, -8.0>
}

background { color rgb<0.2, 0.4, 0.8>  }
plane {<0, 1, 0>, 0 texture {pigment {color White}}}

//plane {<0, -1, 0>, -15 texture {pigment {color White}}}
#if (0)
difference {
    cone {
	<0, 0, 0> 25,
	<0, 15, 0> 25
    }
    cone {
	<0, 0, 0> 24,
	<0, 16, 0> 24
    }
    // Schotts
    box {
	<-1.5, 0, -25>
	<+1.5, 5, +25>
    }
    box {
	<-25, 0, -1.5>
	<+25, 5, +1.5>
    }
    texture {pigment {color White}}
}
#end

#include "transitionstriebwerk.pov"

object {
    transitionstriebwerk
}
