#include "colors.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <+200, 200, -00>
    color White
}
light_source {
    <-200, 120, -171>
    color White*0.5
}
camera {
        location <+020, 46, +10>
        look_at <-0, 0, 0>
	angle 30
}

// rotate around x
#local aa = 0;
#while (aa <= 45)
    sphere {
	<0, 0, 10> aa/40 + 1
	pigment { color rgb <1, 0.5, 0.5> }
	rotate <aa, 0, 0>
    }
    #local aa = aa + 1;
#end

// rotate around y
#local aa = 0;
#while (aa <= 45)
    sphere {
	<10, 0, 0> aa/40 + 1
	pigment { color rgb <0.5, 1.0, 0.5> }
	rotate <0, aa, 0>
    }
    #local aa = aa + 1;
#end

// rotate around z
#local aa = 0;
#while (aa <= 45)
    sphere {
	<0, 10, 0> aa/40 + 1
	pigment { color rgb <0.5, 0.5, 1> }
	rotate <0, 0, aa>
    }
    #local aa = aa + 1;
#end


// background
cylinder {
    <0, 1, 0>,
    <0, -1, 0>, 10
    pigment {
	color rgbf <1, 1, 1, 0.8>
    }
}

cone {
    <0, 0, 0>, 0
    <1000, 0, 0>, 10
    pigment { color <1, 0, 0> }
}

cone {
    <0, 0, 0>, 0
    <0, 1000, 0>, 10
    pigment { color <0, 1, 0> }
}

cone {
    <0, 0, 0>, 0
    <0, 0, 1000>, 10
    pigment { color <0, 0, 1> }
}
